%define upstream_name    Crypt-Random-Seed
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Simple method to get strong randomness
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::Random::TESHA2)
BuildRequires: perl(Exporter)
BuildRequires: perl(Fcntl)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildArch: noarch

%description
A simple mechanism to get strong randomness. The main purpose of this
module is to provide a simple way to generate a seed for a PRNG such as the
Math::Random::ISAAC manpage, for use in cryptographic key generation, or as
the seed for an upstream module such as the Bytes::Random::Secure manpage.
Flags for requiring non-blocking sources are allowed, as well as a very
simple method for plugging in a source.

The randomness sources used are, in order:

* User supplied.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json TODO LICENSE README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.30.0-10.mga10
+ Revision: 2198039
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-9.mga9
+ Revision: 1802709
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-8.mga8
+ Revision: 1493615
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-7.mga7
+ Revision: 1266804
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.30.0-6.mga6
+ Revision: 1024584
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.30.0-5.mga6
+ Revision: 934505
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 740097
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 684061
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 522367
- Mageia 4 Mass Rebuild

* Sat Feb 23 2013 kharec <kharec> 0.30.0-1.mga3
+ Revision: 400056
- imported package perl-Crypt-Random-Seed


* Sat Feb 23 2013 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
